728b.gif

Jak nainstalovat na debianu bundled verzi PHP GD?

31.05.09 21:45 | Linux | autor: Longer (profil) | Čteno: 7679x |
Nic mocUjde toPrůměrDobréVýborné (1 hlasů, prům.: 5.00)

PHP 5 logoMáte-li, stejně jako já, server na Debianu, určitě na Vás dříve nebo později bude nějaký webdeveloper chtít aby vaše PHP podporovalo funkce pro práci s obrázky jako je například imagerotate(). Bez nich totiž nelze provozovat většinu captcha ověřovačů.

Jednou cestou je složitá rekompilace celého PHP s použitím upraveného modulu GD. Druhou možností je použití předkompilovaného balíku s touto knihovnou, tu vám já dnes nabízím.

  1. Nejdříve odstraníme původní knihovnu php5-gd. sudo apt-get –purge remove php5-gd
  2. Přidejte následující 2 řádky do souboru /etc/apt/sources.list
    deb http://packages.dotdeb.org stable all
    deb-src http://packages.dotdeb.org stable all
  3. Obnovte APT. apt-get update
  4. Nainstalujte bundled verzi php5-gd. apt-get install php5-gd
    Instalátor vás upozorní, že zdrojáky nejsou podepsané, to mu potvrďte zadáním „y“.
    Instalátor vám nabídne přepsání konfiguračního souboru php.ini nový dodávaným s balíkem, to zamítněte a zachovejte původní.
  5. Restartujte Apache /etc/init.d/apache2 restart
  6. Když by to náhodou nešlo, zkontrolujte, zda máte v souboru php.ini řádku extension=gd.so , pokud ne, doplňte ji a znovu restartujte Apache.
336b.gif

Líbil se ti tento článek? Ukaž ho i ostatním! Pro snadné přidání odkazu na Facebook, Linkuj.cz nebo Twitter klikni na jednu z ikonek výše a nech další, ať si článek také přečtou.

Jedna odpověď na článek Jak nainstalovat na debianu bundled verzi PHP GD?

  1. Chlape díky!!!
    Už jsem to chtěl s mými chabými znalostmi rekompilovat když jsem narazil na tento příspěvek.
    Ušetřil jsi mi hodně práce. :-)
    Ještě jednou dík.

Zanechat odpověď